Get merchant from MX
curl --request GET \
--url https://api-sandbox.synctera.com/v0/mx/merchants/{merchant_guid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/mx/merchants/{merchant_guid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/mx/merchants/{merchant_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2017-04-20T19:30:12.000Z",
"guid": "MCH-7ed79542-884d-2b1b-dd74-501c5cc9d25b",
"logo_url": "https://s3.amazonaws.com/MD_Assets/merchant_logos/comcast.png",
"name": "Comcast",
"updated_at": "2018-09-28T21:13:53.000Z",
"website_url": "https://www.xfinity.com"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Merchants
Get merchant from MX
Returns information about a particular merchant from MX, such as a logo, name, and website.
GET
/
mx
/
merchants
/
{merchant_guid}
Get merchant from MX
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique id for a merchant.
Response
Pending Transaction
Example:
"2017-04-20T19:30:12.000Z"
Example:
"MCH-7ed79542-884d-2b1b-dd74-501c5cc9d25b"
Example:
"https://s3.amazonaws.com/MD_Assets/merchant_logos/comcast.png"
Example:
"Comcast"
Example:
"2018-09-28T21:13:53.000Z"
Example:
"https://www.xfinity.com"
Was this page helpful?
⌘I

